### Hierarchy

- XAxisTickLabel

## Index

### Properties

- converter
- rendered
- rotation
- scaling
- style

## Properties

### converter

converter: object

The converter used to format the labels. See the Help documentation for more information.

### rendered

rendered: string

Defines whether the tick labels are rendered.

### rotation

rotation: string

Defines whether the chart will automatically rotate the labels by 90 degrees in order to fit more labels on the axis. The rotation will only be applied to categorical labels for a horizontal axis.

### scaling

scaling: string

The scaling behavior of the labels. When using a converter, scaling should be set to none, as the formatted result may not be compatible with the scaling suffixes.

### style

style: object

The CSS style object defining the style of the labels.

Generated using TypeDoc